#!/bin/sh

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$SCRIPTS_PATH/../

PKG_VERSION="1.4.0"

export NPM_TOKEN="b143e4c0-6914-4264-9fe2-00231a7894fd"

cd $PRODUCT_PATH/backend
rm -Rf ./vendor/
wget -O vendor.tar.gz https://gabrielxavier3.zeedhi.com/workfolder/vendor.tar.gz
tar -vzxf vendor.tar.gz && rm -rf vendor.tar.gz

#composer install

cd $PRODUCT_PATH/frontend/
$SCRIPTS_PATH/replace.sh "<VUE_APP_END_POINT>" "\/backend\/index.php" ".env.production"
$SCRIPTS_PATH/replace.sh "<VUE_APP_METADATA_END_POINT>" "\/" ".env.production"


npm i
npm run build

rm -rf $PRODUCT_PATH/frontend/assets
rm -rf $PRODUCT_PATH/frontend/img
rm -rf $PRODUCT_PATH/frontend/metadata
rm -rf $PRODUCT_PATH/frontend/*.txt
rm -rf $PRODUCT_PATH/frontend/.env.*
rm -rf $PRODUCT_PATH/frontend/index.html
rm -rf $PRODUCT_PATH/frontend/*.json
rm -rf $PRODUCT_PATH/frontend/*.js
mv $PRODUCT_PATH/frontend/dist/* $PRODUCT_PATH/frontend/

cd $PRODUCT_PATH/backend/config
rm settings.php
wget -O settings.php https://gabrielxavier3.zeedhi.com/workfolder/settings.txt

rm container.php
wget -O container.php https://gabrielxavier3.zeedhi.com/workfolder/container.txt

rm middleware.php
wget -O middleware.php https://gabrielxavier3.zeedhi.com/workfolder/middleware.txt

rm configs.json
wget https://gabrielxavier3.zeedhi.com/workfolder/configs.json

cd $PRODUCT_PATH/backend/src/Factory
rm Order.php
wget -O Order.php https://gabrielxavier3.zeedhi.com/workfolder/Order.txt


#cd $PRODUCT_PATH/backend/src/Controller
#rm OperatorController.php
#wget -O OperatorController.php https://gabrielxavier3.zeedhi.com/workfolder/OperatorController.txt

$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" "$PKG_VERSION" $PRODUCT_PATH/productInfo.json

rm -Rf ./src/
rm -Rf ./public/

rm -Rf ci_scripts/

